## python-novaclient 2.15.0

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
iso8601>=0.1.4
PrettyTable>=0.6,<0.8
requests>=1.1
simplejson>=2.0.9
six
Babel>=0.9.6

## python-novaclient 2.4

=== debian/changelog ===
python-novaclient (2.4-0ubuntu1) natty; urgency=low

  * Initial upload (FFe LP: #732461)

 -- Thierry Carrez (ttx) <thierry@openstack.org>  Wed, 09 Mar 2011 13:54:33 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Thierry Carrez <ttx@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.38), python-all (>= 2.3.5-11), python-support, python-distribute, python-nose, python-prettytable, python-argparse, python-mock, python-httplib2
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1

Package: python-novaclient
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-prettytable, python-argparse, python-httplib2, python (>= 2.6) | python-simplejson
XB-Python-Version: ${python:Versions}
Description: client library for OpenStack Compute API
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -f test-stamp || /bin/true

build/python-novaclient:: test-stamp

test-stamp:
	touch test-stamp

=== debian/watch ===
version=3
opts=dversionmangle=s/~// http://pypi.python.org/packages/source/p/python-novaclient/python-novaclient-(.*)\.tar\.gz

## python-novaclient 2.6.4~bzr112

=== debian/changelog ===
python-novaclient (2.6.4~bzr112-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream version.
  * Fix get-orig-source.

  [Monty Taylor]
  * Put a version requirement on python-mock to catch failures earlier.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Sep 2011 10:54:02 -0400

python-novaclient (2.6.4~bzr111-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Put in a branching condition in debian/rules to allow for lucid build.

 -- Monty Taylor <mordred@inaugust.com>  Fri, 16 Sep 2011 15:34:20 -0400

python-novaclient (2.6.4~bzr110-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fix FTBFS.
    - Don't install tests with binary. LP: #838298
  * debian/control: Add Vcs-Browser and Vcs-Bzr control fields.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 06 Sep 2011 10:14:21 +0100

python-novaclient (2.6.4~bzr106-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 02 Sep 2011 16:09:49 +0100

python-novaclient (2.6.1~bzr78-0ubuntu1) oneiric; urgency=low

  [ Chuck Short ]
  * New upstream version. 

  [ James Page ]
  * Updates to support Ubuntu MIR (LP: #825127):
    - debian/rules:
      - Completed dh_python2 transition.
      - Enabled test suite.
    - debian/control:
      - Bumped Standards-Version: 3.9.2, no changes.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Aug 2011 14:02:03 -0400

python-novaclient (2.6.1~bzr74-0ubuntu1) oneiric; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream snapshot.

  [ Monty Taylor ]
  * Update packaging to use debhelper v7.
  * Bump python-all build-dep down to just 2.6.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 09 Aug 2011 14:36:37 +0100

python-novaclient (2.5.9~bzr65-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/watch: Add url for python-novaclient.
  * dh_python2 transition.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Aug 2011 14:28:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,19 @@
 Source: python-novaclient
 Section: python
 Priority: optional
-Maintainer: Thierry Carrez <ttx@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 5.0.38), python-all (>= 2.3.5-11), python-support, python-distribute, python-nose, python-prettytable, python-argparse, python-mock, python-httplib2
-XS-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Build-Depends: debhelper (>= 7.0.50),
+ python-all (>= 2.6),
+ python-distribute,
+ python-nose,
+ python-prettytable,
+ python-argparse,
+ python-mock (>= 0.7),
+ python-httplib2
+X-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+Vcs-Browser: https://bazaar.launchpad.net/~openstack-ubuntu-packagers/python-novaclient/ubuntu/files
+Vcs-Bzr: https://bazaar.launchpad.net/~openstack-ubuntu-packagers/python-novaclient/ubuntu/
 
 Package: python-novaclient
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh $@ ${WITH_PYTHON2}

override_dh_auto_test::
	python setup.py test

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
opts=dversionmangle=s/~// http://pypi.python.org/packages/source/p/python-novaclient/python-novaclient-(.*)\.tar\.gz
http://nova.openstack.org/tarballs/ python-novaclient-(.*).tar.gz

## python-novaclient 2.6.7

=== debian/changelog ===
python-novaclient (2.6.7-1) unstable; urgency=low

  * [ce9adb4] Imported Upstream version 2.6.7

 -- Ghe Rivero <ghe@debian.org>  Fri, 04 Nov 2011 10:04:22 +0100

python-novaclient (2.4-2) unstable; urgency=low

  * Uploading to SID.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Jun 2011 07:37:52 +0000

python-novaclient (2.4-1) experimental; urgency=low

  * Initial release (Closes: #622944).

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Apr 2011 03:48:33 +0000

## python-novaclient 2.6.10

=== debian/changelog ===
python-novaclient (1:2.6.10-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New usptream version 
  * debian/watch: Update
  * debian/control: Add python-simplejson.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:27:11 -0400

python-novaclient (2012.2~f2~20120618.605-0ubuntu1) quantal; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 13:05:33 -0400

python-novaclient (2012.2~f2~20120525.585-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Jun 2012 11:11:33 -0400

python-novaclient (2012.2~f1-0ubuntu1) quantal; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 13:30:51 -0400

python-novaclient (2012.1-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 10:54:32 -0400

python-novaclient (2012.1~rc4-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Apr 2012 17:00:41 -0400

python-novaclient (2012.1~rc3-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Apr 2012 09:38:11 -0400

python-novaclient (2012.1~rc2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Apr 2012 11:29:59 -0400

python-novaclient (2012.1~rc1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Mar 2012 11:27:33 -0400

python-novaclient (2012.1~rc1~20120310.525-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 11:56:12 -0700

python-novaclient (2012.1~rc1~20120307.520-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Mar 2012 13:20:48 -0500

python-novaclient (2012.1~e4-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 12:22:03 -0500

python-novaclient (2012.1~e4~20120224.453-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Feb 2012 09:35:35 -0500

python-novaclient (2012.1~e4~20120214.499-0ubuntu1) UNRELEASED; urgency=low

  * New upstream snapshot
  * debian/rules: Temporary disable FTBFS on testsuite failure, due to
    attempts to write to ~/, which is incompatible with package builds.
    This should be backed out when LP: #932468 is resolved. 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 15 Feb 2012 01:13:33 +0000

python-novaclient (2012.1~e3~20120111.452-0ubuntu1) precise; urgency=low

  * New upstream version.
  * Make running the test suite better.
  * Fix argparse import. (LP: #912069) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2012 12:30:26 +0100

python-novaclient (2.6.7~bzr128-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Nov 2011 10:20:25 -0500

python-novaclient (2.6.6~bzr124-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/watch: Update watch file.
  * debian/rules: add-get-orig-source.
  * Use dh_python2

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Oct 2011 13:16:39 -0400

python-novaclient (2.6.4~bzr114-0ubuntu1) oneiric; urgency=low

  * Put a version requirement on python-mock to catch failures earlier.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 21 Sep 2011 10:28:42 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: python-novaclient
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-prettytable, python-argparse, python-httplib2, python (>= 2.6) | python-simplejson
+Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-prettytable, python-argparse, python-httplib2, python-simplejson
 XB-Python-Version: ${python:Versions}
 Description: client library for OpenStack Compute API
  Python novaclient library and nova CLI tool for interacting with OpenStack

=== debian/watch ===
version=3
http://tarballs.openstack.org/python-novaclient/ python-novaclient-(.*).tar.gz

## python-novaclient 2.9.0

=== debian/changelog ===
python-novaclient (1:2.9.0-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream snapshot for the Ubuntu Cloud Archive. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Sep 2012 11:57:15 -0500

python-novaclient (1:2.9.0-0ubuntu1) quantal; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Sep 2012 08:59:05 -0500

python-novaclient (1:2.8.0.5-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control: Add python-iso8601.

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New usptream version

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 18:32:24 -0500

python-novaclient (1:2.6.10.37-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Adam Gandelman ]
  * debian/control: wrap-and-sort, set (>= 0.6) for py-prettytable
    dependency. (LP: #1028638)

  [ Chuck Short ]
  * debian/control:
    - Add python-keyring, python-unittest2
    - Add python-simplejson
    - Fix lintian warnings.
  * debian/rules: Enable tests.
  * debian/watch: Fix watch file


 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:41:00 -0500

python-novaclient (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 13:05:33 -0400

python-novaclient (2012.2~f1-0ubuntu1) precise-folsom; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 13:30:51 -0400

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-argparse,
 python-distribute,
 python-httplib2,
 python-iso8601,
 python-mock (>= 0.7),
 python-nose,
 python-prettytable (>= 0.6),
 python-simplejson,
 python-unittest2,
X-Python-Version: >= 2.7
Standards-Version: 3.9.3
Vcs-Browser: https://bazaar.launchpad.net/~openstack-ubuntu-packagers/python-novaclient/ubuntu/files
Vcs-Bzr: https://bazaar.launchpad.net/~openstack-ubuntu-packagers/python-novaclient/ubuntu/

Package: python-novaclient
Architecture: all
Depends: python-argparse,
 python-httplib2,
 python-iso8601,
 python-pkg-resources,
 python-prettytable (>= 0.6),
 python-simplejson,
 python-keyring,
 ${misc:Depends},
 ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: client library for OpenStack Compute API
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

## python-novaclient 2.11.0

=== debian/changelog ===
python-novaclient (1:2.11.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control: Add python-requests as a build-dep.
  * debian/control: Add python-fixtures as a build-dep.
  * debian/control: Use python-testtools instead of python-unittest2

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 Feb 2013 09:27:04 -0600

python-novaclient (1:2.10.0-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 29 Nov 2012 14:30:55 -0600

python-novaclient (1:2.6.10.37-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control: wrap-and-sort, set (>= 0.6) for py-prettytable
    dependency. (LP: #1028638)


  [ Chuck Short ]
  * debian/control:
    - Add python-keyring, python-unittest2
    - Add python-simplejson
    - Fix lintian warnings.
  * debian/rules: Enable tests.
  * debian/watch: Fix watch file


 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:41:00 -0500

python-novaclient (1:2.6.10-0ubuntu1) quantal; urgency=low

  * New usptream version
  * debian/watch: Update
  * debian/control: Add python-simplejson.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:27:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  python-all (>= 2.6),
  python-argparse,
  python-distribute,
+ python-fixtures,
  python-httplib2,
  python-iso8601,
  python-mock (>= 0.7),
  python-nose,
+ python-requests,
  python-prettytable (>= 0.6),
  python-simplejson,
- python-unittest2,
+ python-testtools
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.3
 Vcs-Browser: https://bazaar.launchpad.net/~openstack-ubuntu-packagers/python-novaclient/ubuntu/files
@@ -27,6 +29,7 @@
  python-prettytable (>= 0.6),
  python-simplejson,
  python-keyring,
+ python-requests,
  ${misc:Depends},
  ${python:Depends}
 XB-Python-Version: ${python:Versions}

## python-novaclient 2.13.0

=== debian/changelog ===
python-novaclient (1:2.13.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/links: Fix typo in bash completeion. (LP: #1092209)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Apr 2013 07:40:04 -0500

python-novaclient (1:2.12.0.6.g1696954-0ubuntu1) raring; urgency=low

  * New upstream release. 
  * debian/control:
    - Add python-setuptools dependency
    - Add python-setuptools-git dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 Mar 2013 10:18:11 -0500

python-novaclient (1:2.11.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Feb 2013 12:04:06 -0600

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
  python-nose,
  python-requests,
  python-prettytable (>= 0.6),
+ python-setuptools-git,
+ python-setuptools,
  python-simplejson,
  python-testtools
 X-Python-Version: >= 2.7

## python-novaclient 2.15.0

=== debian/changelog ===
python-novaclient (2:2.15.0-1) unstable; urgency=low

  * New upstream release.
  * Review all new (build-)depends.
  * Fixed VCS URLs to be canonical.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 14:07:00 +0800

python-novaclient (2:2.13.0-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 10:08:15 +0000

python-novaclient (2:2.13.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Apr 2013 14:59:03 +0800

python-novaclient (2:2.10.0-1) experimental; urgency=low

  * New upstream version.
  * Remove exception_handling and prettytable patches (incorporated upstream).
  * Now using openstack-pkg-tools for the debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Dec 2012 14:15:48 +0000

python-novaclient (1:2012.1-4) unstable; urgency=low

  * Added Breaks+Replaces: simh (<< 3.8.1-3) (Closes: #694372).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Nov 2012 19:28:18 +0000

python-novaclient (1:2012.1-3) unstable; urgency=low

  [ Ghe Rivero ]
  * Fixed FTBFS. Closes: #665036
  * Some depends and rules cleanup

  [ Mehdi Abaakouk ]
  * Add depend on python-pkg-resources
  * Better exception handling (Closes: 674451)
  * Fixed URL to the format 1.0 for the debian/copyright file.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Thu, 07 Jun 2012 09:41:54 +0200

python-novaclient (1:2012.1-2) unstable; urgency=low

  * Fixed new prettytable api.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 07 May 2012 10:14:01 +0200

python-novaclient (1:2012.1-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 09 Apr 2012 09:14:18 +0200

python-novaclient (1:2012.1~rc3-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Wed, 04 Apr 2012 10:54:47 +0200

python-novaclient (1:2012.1~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 20 Mar 2012 13:11:41 +0100

python-novaclient (1:2012.1~e4-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Fri, 02 Mar 2012 09:10:38 +0100

python-novaclient (1:2012.1~e3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 26 Jan 2012 18:13:21 +0100

python-novaclient (1:2012.1~e2-4) unstable; urgency=low

  * Do not depends on python-argparse with python 2.7 (Closes: #653522)

 -- Julien Danjou <acid@debian.org>  Fri, 30 Dec 2011 09:56:20 +0100

python-novaclient (1:2012.1~e2-3) unstable; urgency=low

  [ Julien Danjou ]
  * Add URL of forwarded argparse patch

  [ Ghe Rivero ]
  * Fix Depends on python-argparse. (Closes: #653522)
  * Finish transition to dh_python2

 -- Julien Danjou <acid@debian.org>  Thu, 29 Dec 2011 09:48:28 +0100

python-novaclient (1:2012.1~e2-2) unstable; urgency=low

  * Clean egg-info on clean
  * Fix argparse requirement

 -- Julien Danjou <acid@debian.org>  Mon, 19 Dec 2011 17:19:54 +0100

python-novaclient (1:2012.1~e2-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Fri, 16 Dec 2011 09:03:36 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21)
Build-Depends-Indep: python-argparse,
                     python-babel (>=0.9.6),
                     python-coverage,
                     python-distribute,
                     python-fixtures (>= 0.3.12),
                     python-httplib2,
                     python-iso8601,
                     python-keyring (>= 1.6.1),
                     python-mock (>= 0.8),
                     python-nose,
                     python-prettytable (>= 0.6),
                     python-requests (>= 1.2.0),
                     python-setuptools-git,
                     python-simplejson,
                     python-six,
                     python-sphinx,
                     python-testrepository,
                     python-testtools (>= 0.9.32),
                     python-unittest2,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: git://anonscm.debian.org/openstack/python-novaclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-novaclient.git

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3)
Replaces: simh (<< 3.8.1-3)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-argparse,
         python-httplib2,
         python-iso8601,
         python-keyring,
         python-pbr (>= 0.5.21),
         python-pkg-resources,
         python-prettytable (>= 0.6),
         python-requests (>= 1.2.0),
         python-simplejson,
         python-six,
         ${misc:Depends},
         ${python:Depends}
Description: client library for OpenStack Compute API
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_configure:
	echo $(VERSION) > novaclient/versioninfo
	dh_auto_configure

override_dh_auto_clean:
	echo $(VERSION) > novaclient/versioninfo
	dh_auto_clean
	rm -f novaclient/versioninfo
	rm -rf setuptools_git-*-py*.egg

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient/etc/bash_completion.d/nova.bash_completion
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test || true ; done
endif

## python-novaclient 2.17.0

=== requirements.txt ===
pbr>=0.6,<1.0
argparse
iso8601>=0.1.8
PrettyTable>=0.7,<0.8
requests>=1.1
simplejson>=2.0.9
six>=1.5.2
Babel>=1.3

=== debian/changelog ===
python-novaclient (1:2.17.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Mar 2014 20:16:30 -0400

python-novaclient (1:2.16.0-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: open icehouse release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 15:32:34 -0500

python-novaclient (1:2.15.0-0ubuntu1) saucy; urgency=low

  * New upstream version.
  * debian/control:
    - Add python-babel, python-keyring, and python-six build-depends.
    - Dropped python-argparse, python-setuptools-git, python-httplib2,
      python-nose as a build-depends.
    - Dropped python-httplib2 and python-keyring as a dependency.
    - Add versioned depends for python-requests, python-simplejson,
      python-fixtures, testrepesitory.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Sep 2013 09:15:12 -0400

python-novaclient (1:2.14.1-0ubuntu2) saucy; urgency=low

  * debian/control: Add versioned depends for python-pbr. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Aug 2013 11:27:43 -0400

python-novaclient (1:2.14.1-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release. 
  * debian/control: Add python-pbr and python-d2to1 as build depends.
  * debian/control: Add python-testtools and testrepository as build depends.
  * debian/rules: Run testr without the need for extra dependencies.

  [ Yolanda Robla ]
  * debian/tests: added autopkgtests

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.

  [ Adam Gandelman ]
  * debian/{links, install, preinst}: Drop links, install bash completion
    directly to /etc/bash_completion.d/.  Add preinst to remove broken symlink
    ahead of unpacking conffile. (LP: #1172420)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Aug 2013 08:52:34 -0400

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python2

get-orig-source:
	 uscan --verbose --force-download --rename --destdir=../build-area


override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	testr init && testr run --parallel
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-novaclient/+download https://launchpad.net/python-novaclient/.*/.*/.*/python-novaclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-novaclient/ python-novaclient-(\d.*).tar.gz

## python-novaclient 2.18.1

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
iso8601>=0.1.9
PrettyTable>=0.7,<0.8
requests>=1.1
simplejson>=2.0.9
six>=1.7.0
Babel>=1.3

=== debian/changelog ===
python-novaclient (2:2.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed new (build-)dependencies for this release

 -- Mehdi Abaakouk <sileht@sileht.net>  Mon, 01 Sep 2014 08:36:48 +0200

python-novaclient (2:2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 10:13:07 +0800

python-novaclient (2:2.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed new (build-)dependencies for this release.
  * Using testr and subunit with better unit test output.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2014 18:49:42 +0800

python-novaclient (2:2.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Using testr to run tests.
  * Standards-Version: is now 3.9.5.
  * Drop gnome keyring patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Mar 2014 15:38:24 +0800

python-novaclient (2:2.15.0-2) unstable; urgency=medium

  * Applied upstream patch for deprecated Gnome keyring API (Closes: #728470).
  * Removes .testrepository and subunit.log on clean.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Jan 2014 01:38:05 +0800

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6)
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-httplib2,
                     python-httpretty (>= 0.8),
                     python-iso8601 (>= 0.1.8),
                     python-keyring (>= 2.1),
                     python-mock (>= 1.0),
                     python-keystoneclient (>=0.9.0),
                     python-prettytable (>= 0.7),
                     python-requests (>= 1.2.0),
                     python-simplejson,
                     python-six (>= 1.5.2),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testrepository,
                     python-testtools (>= 0.9.32),
                     python-unittest2,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: git://anonscm.debian.org/openstack/python-novaclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-novaclient.git

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3)
Replaces: simh (<< 3.8.1-3)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-httplib2,
         python-iso8601 (>= 0.1.8),
         python-pbr (>= 0.6),
         python-pkg-resources,
         python-prettytable (>= 0.7),
         python-requests (>= 1.2.0),
         python-simplejson,
         python-six (>= 1.5.2),
         ${misc:Depends},
         ${python:Depends}
Description: client library for OpenStack Compute API
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_configure:
	echo $(VERSION) > novaclient/versioninfo
	dh_auto_configure

override_dh_auto_clean:
	echo $(VERSION) > novaclient/versioninfo
	dh_auto_clean
	rm -f novaclient/versioninfo
	rm -rf .testrepository subunit.log

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient/etc/bash_completion.d/nova.bash_completion
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ
endif

## python-novaclient 2.19.0

=== debian/changelog ===
python-novaclient (1:2.19.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Sep 2014 03:06:03 -0400

python-novaclient (1:2.19.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Drop python-d2to1, python-httpretty as build dependency.
  * debian/control: Add python-requests-mock as build dependency.
  * debian/control: Add python-oslo.utils.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 08:52:31 -0400

python-novaclient (1:2.18.1-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Open up juno release
  * debian/control: Add python-httpretty as a build depends.
  * debian/control: Add python-keystoneclient and python-testscenarios
    as build dependencies.

  [ Liam Young ]
  * debian/control: Merged in deps from requirements.txt.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 11:42:40 -0400

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-babel (>= 1.3),
 python-distribute,
 python-fixtures (>= 0.3.12),
 python-iso8601 (>= 0.1.9),
 python-keyring,
 python-mock (>= 0.7),
 python-oslo.utils (>= 0.3.0),
 python-pbr (>= 0.6),
 python-prettytable (>= 0.7),
 python-keystoneclient,
 python-requests (>= 1.1),
 python-requests-mock,
 python-setuptools,
 python-simplejson (>= 2.0.9),
 python-six (>= 1.7.0),
 python-testtools (>= 0.9.32),
 python-testscenarios,
 testrepository (>= 0.0.17)
X-Python-Version: >= 2.7
Standards-Version: 3.9.3
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-novaclient/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-novaclient/juno
XS-Testsuite: autopkgtest

Package: python-novaclient
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-iso8601,
 python-iso8601 (>= 0.1.9),
 python-pkg-resources,
 python-prettytable (>= 0.7),
 python-requests (>= 1.1),
 python-simplejson (>= 2.0.9),
 python-six (>= 1.7.0),
 python-oslo.utils (>= 0.3.0),
 ${misc:Depends},
 ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: client library for OpenStack Compute API
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

## python-novaclient 2.22.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
argparse
iso8601>=0.1.9
oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
PrettyTable>=0.7,<0.8
requests>=2.2.0,!=2.4.0
simplejson>=2.2.0
six>=1.9.0
Babel>=1.3
python-keystoneclient>=1.1.0

=== debian/changelog ===
python-novaclient (1:2.22.0-0ubuntu2) vivid; urgency=medium

  * d/p/Fix-typo-in-socket-attribute-name.patch,
    d/p/Add-a-test-for-the-TCPKeepAliveAdapter.patch: Fix Typo in socket
    attribute name in TCPKeepAliveAdapter and add test (LP: #1499510)

 -- Bryan Quigley <bryan.quigley@canonical.com>  Tue, 10 Nov 2015 17:30:19 +0000

python-novaclient (1:2.22.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 11:46:32 -0400

python-novaclient (1:2.20.0-0ubuntu1) vivid; urgency=medium

  * New uptream release.
  * Open for vivid.
  * debian/control: 
    - Update bzr branches.
    - Add python-oslo.serialization as a depdenency.
    - Add python-oslo.i18n as a depdendency.
    - Removed duplicate python-iso8601.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 09:09:31 -0500

=== debian/control ===
--- 
+++ 
@@ -11,36 +11,44 @@
  python-iso8601 (>= 0.1.9),
  python-keyring,
  python-mock (>= 0.7),
- python-oslo.utils (>= 0.3.0),
+ python-oslo.i18n (>= 1.3.0),
+ python-oslo.utils (>= 1.2.0),
+ python-oslo.serialization (>= 1.2.0),,
  python-pbr (>= 0.6),
  python-prettytable (>= 0.7),
- python-keystoneclient,
+ python-keystoneclient (>= 1.1.0),
  python-requests (>= 1.1),
  python-requests-mock,
  python-setuptools,
  python-simplejson (>= 2.0.9),
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-testtools (>= 0.9.32),
  python-testscenarios,
+ python-tempest-lib,
+ python-sphinx,
+ python-requests-mock,
  testrepository (>= 0.0.17)
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.3
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-novaclient/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-novaclient/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-novaclient/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-novaclient/kilo
 XS-Testsuite: autopkgtest
 
 Package: python-novaclient
 Architecture: all
 Depends:
  python-babel (>= 1.3),
- python-iso8601,
  python-iso8601 (>= 0.1.9),
+ python-oslo.i18n (>= 1.0.0),
  python-pkg-resources,
  python-prettytable (>= 0.7),
  python-requests (>= 1.1),
  python-simplejson (>= 2.0.9),
  python-six (>= 1.7.0),
+ python-oslo.i18n (>= 1.3.0),
  python-oslo.utils (>= 0.3.0),
+ python-oslo.serialization (>= 1.2.0),
+ python-keystoneclient (>= 1.1.0),
  ${misc:Depends},
  ${python:Depends}
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python2

get-orig-source:
	 uscan --verbose --force-download --rename --destdir=../build-area


override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./run_tests.sh -N -P
endif

## python-novaclient 2.30.1

=== debian/changelog ===
python-novaclient (2:2.30.1-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 Oct 2015 03:00:00 +0000

python-novaclient (2:2.30.1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Bump minimum python-tempest-lib version to 0.8.0.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 10:17:01 -0400

python-novaclient (2:2.29.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed bash-completion script path.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 18:56:28 +0200

python-novaclient (2:2.26.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jun 2015 17:05:49 +0100

python-novaclient (2:2.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed new (build-)dependencies for this release
  * Standards-Version: 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Apr 2015 18:48:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_configure:
	echo $(VERSION) > novaclient/versioninfo
	dh_auto_configure

override_dh_auto_clean:
	echo $(VERSION) > novaclient/versioninfo
	dh_auto_clean
	rm -f novaclient/versioninfo
	rm -rf .testrepository subunit.log

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient/usr/share/bash-completion/completions/nova
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ
endif

## python-novaclient 3.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
iso8601>=0.1.9 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel>=1.3 # BSD

=== debian/changelog ===
python-novaclient (2:3.3.1-2ubuntu1) xenial; urgency=medium

  * d/p/enable-1.6.0-webob.patch: Cherry pick from stable/mitaka gerrit review
    to enable use of python-novaclient with newton+ nova deployments that have
    python-webob >= 1.6.0 (LP: #1559072).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 10:44:36 -0400

python-novaclient (2:3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:46:14 +0000

python-novaclient (2:3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:18:05 +0200

python-novaclient (2:3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).
  * Some fixes in debian/copyright.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:48:52 +0100

python-novaclient (2:3.2.0-3) experimental; urgency=medium

  [ Corey Bryant ]
  * d/rules: Use PYTHON3S instead of hardcoded 3.4 for override_dh_auto_test.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 04:06:13 +0000

python-novaclient (2:3.2.0-2) experimental; urgency=medium

  * Added build-depends version of python-keyring to 7.2, adding runtime
    depends to python-keyring >= 7.2, after experiencing failures on the
    "nova" cli with version 6.1.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Jan 2016 13:28:12 +0000

python-novaclient (2:3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2016 10:37:46 +0000

python-novaclient (2:2.30.1-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:18:59 +0000

python-novaclient (2:2.30.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Disable Python 3.5 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:13:33 +0000

python-novaclient (2:2.30.1-2) experimental; urgency=medium

  * Added Python3 support.
  * Added a -doc package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 11:08:35 +0200

=== debian/tests/control ===
Tests: client
Depends: python-novaclient

=== debian/watch ===
version=3
opts="uversionmangle=s/^2012/0.0.0/" \
https://github.com/openstack/python-novaclient/tags .*/(\d[\d\.]+)\.tar\.gz
